<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKRowEditGridViewBase from './ibizbookrow-edit-grid-view-base.vue';

import view_grid from '@widgets/ibizbook/row-edit-grid/row-edit-grid.vue';
// 基于 @VIEW/@MACRO/VIEW.vue.ftl 生成
@Component({
    components: {
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKRowEditGridView extends IBIZBOOKRowEditGridViewBase {

}
</script>